Subject: Re: [PATCH] Debian packaging for 0.99.4

From: Martin Langhoff <[email-masked]>
Date: Thu, 11 Aug 2005 16:44:57 +1200

On 8/11/05, Sebastian Kuzminsky <[email-masked]> wrote:
> I agree completely - it's super bogus to rename the two central programs.
> It makes Debian essentially incompatible with the rest of the world.

Well, I doubt this problem lies with Debian. GNU Interactive Tools is
packaged for most (all?) distributions, and has been there for ages. A
quick google search shows a page tracking a few of its distributed
versions: http://linux.maruhn.com/sec/git.html

So it is fair to assume all distros are going to rename it, and wreak
havoc with the calls to the binaries from cogito, qgit, etc. Perhaps
it'd be better to rename the binaries within the git project. Better
Junio at it than a bunch of package maintainers... It'll also nullify
the risk of different packagers choosing different renaming
strategies.

cheers,

martin